FinancialStatement:
  description: A financial statement for a company
  properties:
    AccessNumber:
      description: EDGAR Access Number
      type: string
      x-nullable: true
    AccountID:
      description: Account ID
      type: string
      x-nullable: true
    CloudRevenue:
      description: Cloud Revenue
      type: number
      x-nullable: true
    CreatedByID:
      description: Created By User ID
      type: string
      x-nullable: true
    CreatedDate:
      description: Created Date
      type: string
      x-nullable: true
    Description:
      description: Description
      type: string
      x-nullable: true
    EdgarURL:
      description: EDGAR URL
      type: string
      x-nullable: true
    FilingType:
      description: Filing Type
      type: string
      x-nullable: true
    GrossProfit:
      description: Gross Profit
      type: number
      x-nullable: true
    ID:
      description: Record Id
      type: string
    LastModifiedByID:
      description: Last Modified By User ID
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modified Date
      type: string
      x-nullable: true
    NetIncome:
      description: Net Income
      type: number
      x-nullable: true
    PeriodEndDate:
      description: Period End Date
      type: string
      x-nullable: true
    TotalRevenue:
      description: Total Revenue
      type: number
      x-nullable: true
    Year:
      description: Year
      type: string
      x-nullable: true
  type: object
